Get document's contents
GET/documents/:documentId/content
Retrieves the content of the document with the specified documentId.
- If the content is plain text and under 6 MB, the content will be returned directly.
- If the content is plain text but exceeds 6 MB, an error will be returned.
- For documents not in plain text format, pre-signed S3 URLs will be returned to download the content from S3.
It is recommended to use the
/documents/{documentId}/urlendpoint to retrieve pre-signed S3 URLs for downloading the content.
If the document has a Content-Type of text/, application/json, application/x-www-form-urlencoded the content field will be returned. All other Content-Type, the contentUrl field will be returned, which is a S3 Presigned url.
Request
Path Parameters
documentId stringrequired
Document Identifier
Query Parameters
siteId string
Site Identifier
artifactId string
Artifact Document Identifier
versionKey string
Version Key (version key required URL encoding)
shareKey string
Share Identifier
Responses
- 200
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
Location
string
- application/json
- Schema
- Example (from schema)
Schema
content string
Document content
contentUrl string
URL to retrieve document content
contentType string
Document Content-Type
isBase64 boolean
Is the content Base64-encoded?
{
"content": "string",
"contentUrl": "string",
"contentType": "string",
"isBase64": true
}
Loading...